| have to show a huge number of points in a Point Cloud in an ADTF Mixin.

I managed to render the Point Cloud, but is there a possibility to select a single point from the cloud by a mouse click and change its
color?

| am already using the cMixin::OnPick method for selecting other objects, but that works only if | draw points as osg::Geometry.

The cMixin::OnPick method does not record a mouse click on a point from a Point Cloud.

Thank you in advance.
Lésung

As you have already found out, the built in pick mechanism relies on osgUtil::.LineSegmentintersector which can only intersect with
geometries. If you're rendering the Point Cloud with raw GL commands, you're currently out of luck, sorry.

History

#3 - 2020-09-07 12:03 - hidden
Hi Nedim,

as you have already found out, the built in pick mechanism relies on osgUtil::LineSegmentintersector which can only intersect with geometries. If
you're rendering the Point Cloud with raw GL commands, you're currently out of luck, sorry.

Regards,

Martin

#4 - 2020-09-30 13:40 - hidden

- Subject changed from Select and change color of a point in a Point Cloud to Select and change color of a point in a point cloud
- Description updated

- Status changed from New to To Be Closed

- Private changed from Yes to No

- Topic set to Display TB::3DSceneDisplay

- Resolution set to Solved Issue

- Customer set to AUDI

- Department set to EFS

#5 - 2020-10-06 10:27 - hidden
- Status changed from To Be Closed to Closed

2024-04-29 1/1



http://www.tcpdf.org

